SRC += $(wildcard $(HAL_DIR)/hal_battery/*.c)
CFLAGS += -I$(HAL_DIR)/hal_battery
ifdef MOD_BATTERY
SRC += $(wildcard $(HAL_DIR)/hal_battery/$(MOD_BATTERY)/*.c)
else
$(warning warning you sure no audio?)
endif